openapi: 3.0.3
info:
  title: E-Invoice
  description: ''
  version: 1.0.0
servers:
  -
    url: 'http://einvoice.test'
paths:
  /api/auth/test-token:
    get:
      summary: ''
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses:
        404:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  message: ''
                  exception: Symfony\Component\HttpKernel\Exception\NotFoundHttpException
                  file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\AbstractRouteCollection.php'
                  line: 43
                  trace:
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\RouteCollection.php'
                      line: 162
                      function: handleMatchedRoute
                      class: Illuminate\Routing\AbstractRouteCollection
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                      line: 647
                      function: match
                      class: Illuminate\Routing\RouteCollection
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                      line: 636
                      function: findRoute
                      class: Illuminate\Routing\Router
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                      line: 625
                      function: dispatchToRoute
                      class: Illuminate\Routing\Router
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                      line: 166
                      function: dispatch
                      class: Illuminate\Routing\Router
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 128
                      function: 'Illuminate\Foundation\Http\{closure}'
                      class: Illuminate\Foundation\Http\Kernel
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TransformsRequest.php'
                      line: 21
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\ConvertEmptyStringsToNull.php'
                      line: 31
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\TransformsRequest
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\ConvertEmptyStringsToNull
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TransformsRequest.php'
                      line: 21
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TrimStrings.php'
                      line: 40
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\TransformsRequest
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\TrimStrings
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\ValidatePostSize.php'
                      line: 27
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\ValidatePostSize
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\PreventRequestsDuringMaintenance.php'
                      line: 86
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\PreventRequestsDuringMaintenance
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\fruitcake\laravel-cors\src\HandleCors.php'
                      line: 52
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Fruitcake\Cors\HandleCors
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\fideloper\proxy\src\TrustProxies.php'
                      line: 57
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Fideloper\Proxy\TrustProxies
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 103
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                      line: 141
                      function: then
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                      line: 110
                      function: sendRequestThroughRouter
                      class: Illuminate\Foundation\Http\Kernel
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                      line: 287
                      function: handle
                      class: Illuminate\Foundation\Http\Kernel
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                      line: 275
                      function: callLaravelOrLumenRoute
                      class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                      line: 86
                      function: makeApiCall
                      class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                      line: 44
                      function: makeResponseCall
                      class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                      line: 34
                      function: makeResponseCallIfConditionsPass
                      class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                      line: 225
                      function: __invoke
                      class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                      line: 182
                      function: iterateThroughStrategies
                      class: Knuckles\Scribe\Extracting\Extractor
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                      line: 116
                      function: fetchResponses
                      class: Knuckles\Scribe\Extracting\Extractor
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                      line: 118
                      function: processRoute
                      class: Knuckles\Scribe\Extracting\Extractor
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                      line: 75
                      function: extractEndpointsInfoFromLaravelApp
                      class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                      line: 51
                      function: extractEndpointsInfoAndWriteToDisk
                      class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Commands\GenerateDocumentation.php'
                      line: 39
                      function: get
                      class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                      line: 36
                      function: handle
                      class: Knuckles\Scribe\Commands\GenerateDocumentation
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\Util.php'
                      line: 40
                      function: 'Illuminate\Container\{closure}'
                      class: Illuminate\Container\BoundMethod
                      type: '::'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                      line: 93
                      function: unwrapIfClosure
                      class: Illuminate\Container\Util
                      type: '::'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                      line: 37
                      function: callBoundMethod
                      class: Illuminate\Container\BoundMethod
                      type: '::'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\Container.php'
                      line: 651
                      function: call
                      class: Illuminate\Container\BoundMethod
                      type: '::'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Command.php'
                      line: 136
                      function: call
                      class: Illuminate\Container\Container
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Command\Command.php'
                      line: 299
                      function: execute
                      class: Illuminate\Console\Command
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Command.php'
                      line: 121
                      function: run
                      class: Symfony\Component\Console\Command\Command
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                      line: 978
                      function: run
                      class: Illuminate\Console\Command
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                      line: 295
                      function: doRunCommand
                      class: Symfony\Component\Console\Application
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                      line: 167
                      function: doRun
                      class: Symfony\Component\Console\Application
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Application.php'
                      line: 92
                      function: run
                      class: Symfony\Component\Console\Application
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Console\Kernel.php'
                      line: 129
                      function: run
                      class: Illuminate\Console\Application
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\artisan'
                      line: 37
                      function: handle
                      class: Illuminate\Foundation\Console\Kernel
                      type: '->'
                properties:
                  message:
                    type: string
                    example: ''
                  exception:
                    type: string
                    example: Symfony\Component\HttpKernel\Exception\NotFoundHttpException
                  file:
                    type: string
                    example: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\AbstractRouteCollection.php'
                  line:
                    type: integer
                    example: 43
                  trace:
                    type: array
                    example:
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\RouteCollection.php'
                        line: 162
                        function: handleMatchedRoute
                        class: Illuminate\Routing\AbstractRouteCollection
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                        line: 647
                        function: match
                        class: Illuminate\Routing\RouteCollection
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                        line: 636
                        function: findRoute
                        class: Illuminate\Routing\Router
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                        line: 625
                        function: dispatchToRoute
                        class: Illuminate\Routing\Router
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                        line: 166
                        function: dispatch
                        class: Illuminate\Routing\Router
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 128
                        function: 'Illuminate\Foundation\Http\{closure}'
                        class: Illuminate\Foundation\Http\Kernel
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TransformsRequest.php'
                        line: 21
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\ConvertEmptyStringsToNull.php'
                        line: 31
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\TransformsRequest
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\ConvertEmptyStringsToNull
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TransformsRequest.php'
                        line: 21
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TrimStrings.php'
                        line: 40
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\TransformsRequest
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\TrimStrings
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\ValidatePostSize.php'
                        line: 27
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\ValidatePostSize
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\PreventRequestsDuringMaintenance.php'
                        line: 86
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\PreventRequestsDuringMaintenance
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\fruitcake\laravel-cors\src\HandleCors.php'
                        line: 52
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Fruitcake\Cors\HandleCors
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\fideloper\proxy\src\TrustProxies.php'
                        line: 57
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Fideloper\Proxy\TrustProxies
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 103
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                        line: 141
                        function: then
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                        line: 110
                        function: sendRequestThroughRouter
                        class: Illuminate\Foundation\Http\Kernel
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                        line: 287
                        function: handle
                        class: Illuminate\Foundation\Http\Kernel
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                        line: 275
                        function: callLaravelOrLumenRoute
                        class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                        line: 86
                        function: makeApiCall
                        class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                        line: 44
                        function: makeResponseCall
                        class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                        line: 34
                        function: makeResponseCallIfConditionsPass
                        class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                        line: 225
                        function: __invoke
                        class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                        line: 182
                        function: iterateThroughStrategies
                        class: Knuckles\Scribe\Extracting\Extractor
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                        line: 116
                        function: fetchResponses
                        class: Knuckles\Scribe\Extracting\Extractor
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                        line: 118
                        function: processRoute
                        class: Knuckles\Scribe\Extracting\Extractor
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                        line: 75
                        function: extractEndpointsInfoFromLaravelApp
                        class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                        line: 51
                        function: extractEndpointsInfoAndWriteToDisk
                        class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Commands\GenerateDocumentation.php'
                        line: 39
                        function: get
                        class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                        line: 36
                        function: handle
                        class: Knuckles\Scribe\Commands\GenerateDocumentation
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\Util.php'
                        line: 40
                        function: 'Illuminate\Container\{closure}'
                        class: Illuminate\Container\BoundMethod
                        type: '::'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                        line: 93
                        function: unwrapIfClosure
                        class: Illuminate\Container\Util
                        type: '::'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                        line: 37
                        function: callBoundMethod
                        class: Illuminate\Container\BoundMethod
                        type: '::'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\Container.php'
                        line: 651
                        function: call
                        class: Illuminate\Container\BoundMethod
                        type: '::'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Command.php'
                        line: 136
                        function: call
                        class: Illuminate\Container\Container
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Command\Command.php'
                        line: 299
                        function: execute
                        class: Illuminate\Console\Command
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Command.php'
                        line: 121
                        function: run
                        class: Symfony\Component\Console\Command\Command
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                        line: 978
                        function: run
                        class: Illuminate\Console\Command
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                        line: 295
                        function: doRunCommand
                        class: Symfony\Component\Console\Application
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                        line: 167
                        function: doRun
                        class: Symfony\Component\Console\Application
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Application.php'
                        line: 92
                        function: run
                        class: Symfony\Component\Console\Application
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Console\Kernel.php'
                        line: 129
                        function: run
                        class: Illuminate\Console\Application
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\artisan'
                        line: 37
                        function: handle
                        class: Illuminate\Foundation\Console\Kernel
                        type: '->'
                    items:
                      type: object
      tags:
        - Endpoints
      security: []
  /api/auth/einvoice:
    post:
      summary: 'Store a newly created resource in storage.'
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses: {  }
      tags:
        - Endpoints
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                customer_type:
                  type: string
                  description: 'Customer Validation. Must be one of <code>c</code> or <code>b</code>.'
                  example: b
                customer_name:
                  type: string
                  description: 'Must not be greater than 255 characters.'
                  example: qojvhwpnsgh
                phone:
                  type: string
                  description: 'Must not be greater than 255 characters.'
                  example: qjywklnrsxvlsovgitvzwhirpnogauttrfsslgqtwuveredehntrzvejspodmyieahpckznfkhafwplrqjeebxdeujnmjzjgwvnqhqamzdwyeohonqddacqmylnjaruzvfeydwisldyzyjoihxjcyhgbchryyizjwjdvbxkglbriawealszfemrmbvutittlutikjcodyaqopzjrdbvfnsdre
                country:
                  type: string
                  description: 'This field is required when <code>phone</code> is present. Must not be greater than 255 characters.'
                  example: rzzitrengjenjruy
                address:
                  type: string
                  description: 'Must not be greater than 255 characters.'
                  example: yjmfekuyxwbmtqcvyklvyijsfneyxsukzqveuuoiohurhvfteokkynhturrfwnlyguujifsewvfmmonubsczmezsketuorelv
                email:
                  type: string
                  description: 'if total > 1000. Must be a valid email address. Must not be greater than 255 characters.'
                  example: yfnrilgunuvbtylkowtcsngtsrflhbkpsjwuxcifpceenpqdnjlnkmlvlbkenxihgiwbpxohmipcixwavyfyxxcsxmumnlerxmuesnbtpqihwtypahzoesngrgmrngiuticiddmmpsanwvnplyoytkufhmhyhukidzawynkllvmmvokvtdyedhusnhfezhlbjwxlpoergbcfl
                customer_no:
                  type: string
                  description: 'Must not be greater than 255 characters.'
                  example: mmyzdnzceyieuplmbrcwfwyjjmieqvzrybcttuhwlsyqvzgcemoljjwoioosdjklbecxeptnrrhlqmekpavcnpxaxvhh
                customer_vat_no:
                  type: string
                  description: 'if customer type is consumer. Must be 15 characters.'
                  example: yhpekjfmrdtutqe
                additional_id_type:
                  type: string
                  description: 'Must not be greater than 255 characters.'
                  example: rhvtzfgvfkgarlezybibvcaaeepoqovlms
                additional_id:
                  type: string
                  description: 'Must not be greater than 255 characters.'
                  example: edkcttasaskdnjbgkgvspuejhxafqp
                order_no:
                  type: string
                  description: 'Must not be greater than 255 characters.'
                  example: kzmouuvjurzupldegiuopzyxrtkxqqgshoshdpubnkeepufikgixzrtnpnkztejznweuttxbsrjlpixxbnjzvmlvkxecjlaupoamlmkielsevnkdoesnthnllvlgfuhxcnltucwwdlisvtohysvktjddjfjpnpqtidcgonucfevltedwhsvhdeojezrexzxpkiuwhunajbhxnbsovxybxdhqilinkmo
                order_date:
                  type: string
                  description: 'Must be a valid date in the format <code>Y-m-d</code>.'
                  example: '2021-09-01'
                due_date:
                  type: string
                  description: 'Must be a valid date in the format <code>Y-m-d</code>.'
                  example: '2021-09-01'
                sales_no:
                  type: string
                  description: 'Must not be greater than 255 characters.'
                  example: wjtgdsjzshnxlvtcrzodwaccnfqafbpwiwqzafpkyfrczpoxbapysjmxzcxbetpeucxowbcobdiuaitpfrzocdroampfpydoamafwfjrtxmauftosluif
                reference:
                  type: string
                  description: 'Must not be greater than 255 characters.'
                  example: lowwvdgvdntrosrq
                quote_no:
                  type: string
                  description: 'Must not be greater than 255 characters.'
                  example: rrfapxnrppqblsowucwtjjkvbxudxwwlhoeulllrmyfzmbxkogfndchwunngrirwviawmpbtoayjwwbqawqhjhuehatlrfxrmhmxexfaltjwscexlqwvtuhujwwhhjhgkrfdcrbhmhljwrxmczzqcofksmpnjcmhmptizykdhokjxugpamxbyemkhhks
                items:
                  type: array
                  description: ''
                  example:
                    - []
                  items:
                    type: object
                    properties:
                      item_no:
                        type: string
                        description: 'Must not be greater than 255 characters.'
                        example: ynlmttobymvvgngoayjdcfxracxnhbrkgmksdsnpdnwgjepffehmwcmzladpjyghzjxoptvebcpvschcemdvwrytkhbgyzcyhfkqujjlztcmrkhxwdnrktepnxcjgwesnqgkabtrzrkdoitrxbowxgtrocgonjnpouhnhnkv
                      description:
                        type: string
                        description: 'Must not be greater than 255 characters.'
                        example: ipjoefuldmrubzzexyexljplqplhhvuxpsiimhefawzmhvtrsvyfukifqatrevwkhmakdohwfvhygzjapbqfrigkcujipkeqyyqoudtyjcajkwpulmvztukdghgulsmdinvugwgjmyaneyywoqnglltgsfnmcflrqkddfzalgpomdoskzjlesckuoqmbxecqbxksivugkmftabxoi
                      price:
                        type: number
                        description: ''
                        example: 50172.78367
                      quantity:
                        type: number
                        description: ''
                        example: 4710697.1
                      discount:
                        type: number
                        description: ''
                        example: 423.574321998
                      vat:
                        type: number
                        description: 'Must not be greater than 15.'
                        example: !!float 12
                    required:
                      - description
                      - price
                      - quantity
              required:
                - customer_type
                - customer_name
                - phone
      security: []
  /api/auth/customers:
    get:
      summary: 'Display a listing of the resource.'
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses:
        404:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  message: ''
                  exception: Symfony\Component\HttpKernel\Exception\NotFoundHttpException
                  file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\AbstractRouteCollection.php'
                  line: 43
                  trace:
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\RouteCollection.php'
                      line: 162
                      function: handleMatchedRoute
                      class: Illuminate\Routing\AbstractRouteCollection
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                      line: 647
                      function: match
                      class: Illuminate\Routing\RouteCollection
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                      line: 636
                      function: findRoute
                      class: Illuminate\Routing\Router
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                      line: 625
                      function: dispatchToRoute
                      class: Illuminate\Routing\Router
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                      line: 166
                      function: dispatch
                      class: Illuminate\Routing\Router
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 128
                      function: 'Illuminate\Foundation\Http\{closure}'
                      class: Illuminate\Foundation\Http\Kernel
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TransformsRequest.php'
                      line: 21
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\ConvertEmptyStringsToNull.php'
                      line: 31
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\TransformsRequest
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\ConvertEmptyStringsToNull
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TransformsRequest.php'
                      line: 21
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TrimStrings.php'
                      line: 40
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\TransformsRequest
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\TrimStrings
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\ValidatePostSize.php'
                      line: 27
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\ValidatePostSize
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\PreventRequestsDuringMaintenance.php'
                      line: 86
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\PreventRequestsDuringMaintenance
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\fruitcake\laravel-cors\src\HandleCors.php'
                      line: 52
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Fruitcake\Cors\HandleCors
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\fideloper\proxy\src\TrustProxies.php'
                      line: 57
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Fideloper\Proxy\TrustProxies
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 103
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                      line: 141
                      function: then
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                      line: 110
                      function: sendRequestThroughRouter
                      class: Illuminate\Foundation\Http\Kernel
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                      line: 287
                      function: handle
                      class: Illuminate\Foundation\Http\Kernel
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                      line: 275
                      function: callLaravelOrLumenRoute
                      class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                      line: 86
                      function: makeApiCall
                      class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                      line: 44
                      function: makeResponseCall
                      class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                      line: 34
                      function: makeResponseCallIfConditionsPass
                      class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                      line: 225
                      function: __invoke
                      class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                      line: 182
                      function: iterateThroughStrategies
                      class: Knuckles\Scribe\Extracting\Extractor
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                      line: 116
                      function: fetchResponses
                      class: Knuckles\Scribe\Extracting\Extractor
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                      line: 118
                      function: processRoute
                      class: Knuckles\Scribe\Extracting\Extractor
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                      line: 75
                      function: extractEndpointsInfoFromLaravelApp
                      class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                      line: 51
                      function: extractEndpointsInfoAndWriteToDisk
                      class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Commands\GenerateDocumentation.php'
                      line: 39
                      function: get
                      class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                      line: 36
                      function: handle
                      class: Knuckles\Scribe\Commands\GenerateDocumentation
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\Util.php'
                      line: 40
                      function: 'Illuminate\Container\{closure}'
                      class: Illuminate\Container\BoundMethod
                      type: '::'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                      line: 93
                      function: unwrapIfClosure
                      class: Illuminate\Container\Util
                      type: '::'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                      line: 37
                      function: callBoundMethod
                      class: Illuminate\Container\BoundMethod
                      type: '::'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\Container.php'
                      line: 651
                      function: call
                      class: Illuminate\Container\BoundMethod
                      type: '::'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Command.php'
                      line: 136
                      function: call
                      class: Illuminate\Container\Container
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Command\Command.php'
                      line: 299
                      function: execute
                      class: Illuminate\Console\Command
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Command.php'
                      line: 121
                      function: run
                      class: Symfony\Component\Console\Command\Command
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                      line: 978
                      function: run
                      class: Illuminate\Console\Command
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                      line: 295
                      function: doRunCommand
                      class: Symfony\Component\Console\Application
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                      line: 167
                      function: doRun
                      class: Symfony\Component\Console\Application
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Application.php'
                      line: 92
                      function: run
                      class: Symfony\Component\Console\Application
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Console\Kernel.php'
                      line: 129
                      function: run
                      class: Illuminate\Console\Application
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\artisan'
                      line: 37
                      function: handle
                      class: Illuminate\Foundation\Console\Kernel
                      type: '->'
                properties:
                  message:
                    type: string
                    example: ''
                  exception:
                    type: string
                    example: Symfony\Component\HttpKernel\Exception\NotFoundHttpException
                  file:
                    type: string
                    example: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\AbstractRouteCollection.php'
                  line:
                    type: integer
                    example: 43
                  trace:
                    type: array
                    example:
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\RouteCollection.php'
                        line: 162
                        function: handleMatchedRoute
                        class: Illuminate\Routing\AbstractRouteCollection
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                        line: 647
                        function: match
                        class: Illuminate\Routing\RouteCollection
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                        line: 636
                        function: findRoute
                        class: Illuminate\Routing\Router
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                        line: 625
                        function: dispatchToRoute
                        class: Illuminate\Routing\Router
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                        line: 166
                        function: dispatch
                        class: Illuminate\Routing\Router
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 128
                        function: 'Illuminate\Foundation\Http\{closure}'
                        class: Illuminate\Foundation\Http\Kernel
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TransformsRequest.php'
                        line: 21
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\ConvertEmptyStringsToNull.php'
                        line: 31
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\TransformsRequest
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\ConvertEmptyStringsToNull
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TransformsRequest.php'
                        line: 21
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TrimStrings.php'
                        line: 40
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\TransformsRequest
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\TrimStrings
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\ValidatePostSize.php'
                        line: 27
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\ValidatePostSize
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\PreventRequestsDuringMaintenance.php'
                        line: 86
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\PreventRequestsDuringMaintenance
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\fruitcake\laravel-cors\src\HandleCors.php'
                        line: 52
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Fruitcake\Cors\HandleCors
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\fideloper\proxy\src\TrustProxies.php'
                        line: 57
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Fideloper\Proxy\TrustProxies
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 103
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                        line: 141
                        function: then
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                        line: 110
                        function: sendRequestThroughRouter
                        class: Illuminate\Foundation\Http\Kernel
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                        line: 287
                        function: handle
                        class: Illuminate\Foundation\Http\Kernel
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                        line: 275
                        function: callLaravelOrLumenRoute
                        class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                        line: 86
                        function: makeApiCall
                        class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                        line: 44
                        function: makeResponseCall
                        class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                        line: 34
                        function: makeResponseCallIfConditionsPass
                        class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                        line: 225
                        function: __invoke
                        class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                        line: 182
                        function: iterateThroughStrategies
                        class: Knuckles\Scribe\Extracting\Extractor
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                        line: 116
                        function: fetchResponses
                        class: Knuckles\Scribe\Extracting\Extractor
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                        line: 118
                        function: processRoute
                        class: Knuckles\Scribe\Extracting\Extractor
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                        line: 75
                        function: extractEndpointsInfoFromLaravelApp
                        class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                        line: 51
                        function: extractEndpointsInfoAndWriteToDisk
                        class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Commands\GenerateDocumentation.php'
                        line: 39
                        function: get
                        class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                        line: 36
                        function: handle
                        class: Knuckles\Scribe\Commands\GenerateDocumentation
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\Util.php'
                        line: 40
                        function: 'Illuminate\Container\{closure}'
                        class: Illuminate\Container\BoundMethod
                        type: '::'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                        line: 93
                        function: unwrapIfClosure
                        class: Illuminate\Container\Util
                        type: '::'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                        line: 37
                        function: callBoundMethod
                        class: Illuminate\Container\BoundMethod
                        type: '::'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\Container.php'
                        line: 651
                        function: call
                        class: Illuminate\Container\BoundMethod
                        type: '::'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Command.php'
                        line: 136
                        function: call
                        class: Illuminate\Container\Container
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Command\Command.php'
                        line: 299
                        function: execute
                        class: Illuminate\Console\Command
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Command.php'
                        line: 121
                        function: run
                        class: Symfony\Component\Console\Command\Command
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                        line: 978
                        function: run
                        class: Illuminate\Console\Command
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                        line: 295
                        function: doRunCommand
                        class: Symfony\Component\Console\Application
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                        line: 167
                        function: doRun
                        class: Symfony\Component\Console\Application
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Application.php'
                        line: 92
                        function: run
                        class: Symfony\Component\Console\Application
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Console\Kernel.php'
                        line: 129
                        function: run
                        class: Illuminate\Console\Application
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\artisan'
                        line: 37
                        function: handle
                        class: Illuminate\Foundation\Console\Kernel
                        type: '->'
                    items:
                      type: object
      tags:
        - Endpoints
      security: []
    post:
      summary: 'Store a newly created resource in storage.'
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses: {  }
      tags:
        - Endpoints
      security: []
  '/api/auth/customers/{id}':
    get:
      summary: 'Display the specified resource.'
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses:
        404:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  message: ''
                  exception: Symfony\Component\HttpKernel\Exception\NotFoundHttpException
                  file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\AbstractRouteCollection.php'
                  line: 43
                  trace:
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\RouteCollection.php'
                      line: 162
                      function: handleMatchedRoute
                      class: Illuminate\Routing\AbstractRouteCollection
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                      line: 647
                      function: match
                      class: Illuminate\Routing\RouteCollection
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                      line: 636
                      function: findRoute
                      class: Illuminate\Routing\Router
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                      line: 625
                      function: dispatchToRoute
                      class: Illuminate\Routing\Router
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                      line: 166
                      function: dispatch
                      class: Illuminate\Routing\Router
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 128
                      function: 'Illuminate\Foundation\Http\{closure}'
                      class: Illuminate\Foundation\Http\Kernel
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TransformsRequest.php'
                      line: 21
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\ConvertEmptyStringsToNull.php'
                      line: 31
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\TransformsRequest
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\ConvertEmptyStringsToNull
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TransformsRequest.php'
                      line: 21
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TrimStrings.php'
                      line: 40
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\TransformsRequest
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\TrimStrings
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\ValidatePostSize.php'
                      line: 27
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\ValidatePostSize
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\PreventRequestsDuringMaintenance.php'
                      line: 86
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Illuminate\Foundation\Http\Middleware\PreventRequestsDuringMaintenance
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\fruitcake\laravel-cors\src\HandleCors.php'
                      line: 52
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Fruitcake\Cors\HandleCors
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\fideloper\proxy\src\TrustProxies.php'
                      line: 57
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 167
                      function: handle
                      class: Fideloper\Proxy\TrustProxies
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                      line: 103
                      function: 'Illuminate\Pipeline\{closure}'
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                      line: 141
                      function: then
                      class: Illuminate\Pipeline\Pipeline
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                      line: 110
                      function: sendRequestThroughRouter
                      class: Illuminate\Foundation\Http\Kernel
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                      line: 287
                      function: handle
                      class: Illuminate\Foundation\Http\Kernel
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                      line: 275
                      function: callLaravelOrLumenRoute
                      class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                      line: 86
                      function: makeApiCall
                      class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                      line: 44
                      function: makeResponseCall
                      class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                      line: 34
                      function: makeResponseCallIfConditionsPass
                      class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                      line: 225
                      function: __invoke
                      class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                      line: 182
                      function: iterateThroughStrategies
                      class: Knuckles\Scribe\Extracting\Extractor
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                      line: 116
                      function: fetchResponses
                      class: Knuckles\Scribe\Extracting\Extractor
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                      line: 118
                      function: processRoute
                      class: Knuckles\Scribe\Extracting\Extractor
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                      line: 75
                      function: extractEndpointsInfoFromLaravelApp
                      class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                      line: 51
                      function: extractEndpointsInfoAndWriteToDisk
                      class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Commands\GenerateDocumentation.php'
                      line: 39
                      function: get
                      class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                      line: 36
                      function: handle
                      class: Knuckles\Scribe\Commands\GenerateDocumentation
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\Util.php'
                      line: 40
                      function: 'Illuminate\Container\{closure}'
                      class: Illuminate\Container\BoundMethod
                      type: '::'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                      line: 93
                      function: unwrapIfClosure
                      class: Illuminate\Container\Util
                      type: '::'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                      line: 37
                      function: callBoundMethod
                      class: Illuminate\Container\BoundMethod
                      type: '::'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\Container.php'
                      line: 651
                      function: call
                      class: Illuminate\Container\BoundMethod
                      type: '::'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Command.php'
                      line: 136
                      function: call
                      class: Illuminate\Container\Container
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Command\Command.php'
                      line: 299
                      function: execute
                      class: Illuminate\Console\Command
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Command.php'
                      line: 121
                      function: run
                      class: Symfony\Component\Console\Command\Command
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                      line: 978
                      function: run
                      class: Illuminate\Console\Command
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                      line: 295
                      function: doRunCommand
                      class: Symfony\Component\Console\Application
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                      line: 167
                      function: doRun
                      class: Symfony\Component\Console\Application
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Application.php'
                      line: 92
                      function: run
                      class: Symfony\Component\Console\Application
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Console\Kernel.php'
                      line: 129
                      function: run
                      class: Illuminate\Console\Application
                      type: '->'
                    -
                      file: 'C:\Users\ahsan\Desktop\eInvoice\artisan'
                      line: 37
                      function: handle
                      class: Illuminate\Foundation\Console\Kernel
                      type: '->'
                properties:
                  message:
                    type: string
                    example: ''
                  exception:
                    type: string
                    example: Symfony\Component\HttpKernel\Exception\NotFoundHttpException
                  file:
                    type: string
                    example: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\AbstractRouteCollection.php'
                  line:
                    type: integer
                    example: 43
                  trace:
                    type: array
                    example:
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\RouteCollection.php'
                        line: 162
                        function: handleMatchedRoute
                        class: Illuminate\Routing\AbstractRouteCollection
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                        line: 647
                        function: match
                        class: Illuminate\Routing\RouteCollection
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                        line: 636
                        function: findRoute
                        class: Illuminate\Routing\Router
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Routing\Router.php'
                        line: 625
                        function: dispatchToRoute
                        class: Illuminate\Routing\Router
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                        line: 166
                        function: dispatch
                        class: Illuminate\Routing\Router
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 128
                        function: 'Illuminate\Foundation\Http\{closure}'
                        class: Illuminate\Foundation\Http\Kernel
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TransformsRequest.php'
                        line: 21
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\ConvertEmptyStringsToNull.php'
                        line: 31
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\TransformsRequest
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\ConvertEmptyStringsToNull
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TransformsRequest.php'
                        line: 21
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\TrimStrings.php'
                        line: 40
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\TransformsRequest
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\TrimStrings
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\ValidatePostSize.php'
                        line: 27
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\ValidatePostSize
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Middleware\PreventRequestsDuringMaintenance.php'
                        line: 86
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\PreventRequestsDuringMaintenance
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\fruitcake\laravel-cors\src\HandleCors.php'
                        line: 52
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Fruitcake\Cors\HandleCors
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\fideloper\proxy\src\TrustProxies.php'
                        line: 57
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 167
                        function: handle
                        class: Fideloper\Proxy\TrustProxies
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Pipeline\Pipeline.php'
                        line: 103
                        function: 'Illuminate\Pipeline\{closure}'
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                        line: 141
                        function: then
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Http\Kernel.php'
                        line: 110
                        function: sendRequestThroughRouter
                        class: Illuminate\Foundation\Http\Kernel
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                        line: 287
                        function: handle
                        class: Illuminate\Foundation\Http\Kernel
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                        line: 275
                        function: callLaravelOrLumenRoute
                        class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                        line: 86
                        function: makeApiCall
                        class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                        line: 44
                        function: makeResponseCall
                        class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Strategies\Responses\ResponseCalls.php'
                        line: 34
                        function: makeResponseCallIfConditionsPass
                        class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                        line: 225
                        function: __invoke
                        class: Knuckles\Scribe\Extracting\Strategies\Responses\ResponseCalls
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                        line: 182
                        function: iterateThroughStrategies
                        class: Knuckles\Scribe\Extracting\Extractor
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Extracting\Extractor.php'
                        line: 116
                        function: fetchResponses
                        class: Knuckles\Scribe\Extracting\Extractor
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                        line: 118
                        function: processRoute
                        class: Knuckles\Scribe\Extracting\Extractor
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                        line: 75
                        function: extractEndpointsInfoFromLaravelApp
                        class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\GroupedEndpoints\GroupedEndpointsFromApp.php'
                        line: 51
                        function: extractEndpointsInfoAndWriteToDisk
                        class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\knuckleswtf\scribe\src\Commands\GenerateDocumentation.php'
                        line: 39
                        function: get
                        class: Knuckles\Scribe\GroupedEndpoints\GroupedEndpointsFromApp
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                        line: 36
                        function: handle
                        class: Knuckles\Scribe\Commands\GenerateDocumentation
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\Util.php'
                        line: 40
                        function: 'Illuminate\Container\{closure}'
                        class: Illuminate\Container\BoundMethod
                        type: '::'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                        line: 93
                        function: unwrapIfClosure
                        class: Illuminate\Container\Util
                        type: '::'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\BoundMethod.php'
                        line: 37
                        function: callBoundMethod
                        class: Illuminate\Container\BoundMethod
                        type: '::'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Container\Container.php'
                        line: 651
                        function: call
                        class: Illuminate\Container\BoundMethod
                        type: '::'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Command.php'
                        line: 136
                        function: call
                        class: Illuminate\Container\Container
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Command\Command.php'
                        line: 299
                        function: execute
                        class: Illuminate\Console\Command
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Command.php'
                        line: 121
                        function: run
                        class: Symfony\Component\Console\Command\Command
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                        line: 978
                        function: run
                        class: Illuminate\Console\Command
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                        line: 295
                        function: doRunCommand
                        class: Symfony\Component\Console\Application
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\symfony\console\Application.php'
                        line: 167
                        function: doRun
                        class: Symfony\Component\Console\Application
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Console\Application.php'
                        line: 92
                        function: run
                        class: Symfony\Component\Console\Application
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\vendor\laravel\framework\src\Illuminate\Foundation\Console\Kernel.php'
                        line: 129
                        function: run
                        class: Illuminate\Console\Application
                        type: '->'
                      -
                        file: 'C:\Users\ahsan\Desktop\eInvoice\artisan'
                        line: 37
                        function: handle
                        class: Illuminate\Foundation\Console\Kernel
                        type: '->'
                    items:
                      type: object
      tags:
        - Endpoints
      security: []
    put:
      summary: 'Update the specified resource in storage.'
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses: {  }
      tags:
        - Endpoints
      security: []
    delete:
      summary: 'Remove the specified resource from storage.'
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses: {  }
      tags:
        - Endpoints
      security: []
    parameters:
      -
        in: path
        name: id
        description: 'The ID of the customer.'
        example: 9
        required: true
        schema:
          type: integer
tags:
  -
    name: Endpoints
    description: ''
